Configures all object detection specific options

### Hierarchy

- GenericConfig
  - ObjectConfig

## Index

### Properties

- enabled
- iouThreshold
- maxDetected
- minConfidence
- modelPath
- skipFrames
- skipTime

## Properties

### enabled

enabled: boolean

Inherited from GenericConfig.enabled

- Defined in src/config.ts:7

is module enabled?

### iouThreshold

iouThreshold: number

- Defined in src/config.ts:123

minimum overlap between two detected objects before one is discarded

### maxDetected

maxDetected: number

- Defined in src/config.ts:125

maximum number of detected objects

### minConfidence

minConfidence: number

- Defined in src/config.ts:121

minimum confidence for a detected objects before results are discarded

### modelPath

modelPath: string

Inherited from GenericConfig.modelPath

- Defined in src/config.ts:9

path to model json file

### skipFrames

skipFrames: number

Inherited from GenericConfig.skipFrames

- Defined in src/config.ts:11

how many max frames to go without re-running model if cached results are acceptable

### skipTime

skipTime: number

Inherited from GenericConfig.skipTime

- Defined in src/config.ts:13

how many max miliseconds to go without re-running model if cached results are acceptable